summaryrefslogtreecommitdiffstats
path: root/network/putty/putty.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/putty/putty.SlackBuild')
-rw-r--r--network/putty/putty.SlackBuild41
1 files changed, 16 insertions, 25 deletions
diff --git a/network/putty/putty.SlackBuild b/network/putty/putty.SlackBuild
index 3f1f98fa3f..1cb35a89fe 100644
--- a/network/putty/putty.SlackBuild
+++ b/network/putty/putty.SlackBuild
@@ -4,12 +4,15 @@
# Written by <youngmug@animeneko.net>
+# Modified by Michael Wagner <lapinours@web.de>
+# as putty now uses autoconf.
+
PRGNAM=putty
-VERSION=0.58
+VERSION=0.60
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -35,21 +38,18 @@ cd $TMP/$PRGNAM-$VERSION || exit 1
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-# PuTTY's Makefile is in the unix subdirectory.
-cd unix
-
-# Patch the Makefile to the prefix we want.
-cat $CWD/putty-makefile.diff | patch -p0 --verbose
+# Create $PKG tree.
+mkdir -p $PKG/usr/{bin,man/man1,doc/$PRGNAM-$VERSION/html}
-# Build the software
-SLKCFLAGS="$SLKCFLAGS" \
-make -f Makefile.gtk || exit 1
+cd unix
-# The install process is stupid and needs the directories to exist...
-mkdir -p $PKG/usr/bin $PKG/usr/man/man1
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man
-# Okay, directories made, now we can install
-make -f Makefile.gtk install DESTDIR=$PKG || exit 1
+make || exit 1
+make install DESTDIR=$PKG || exit 1
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -58,17 +58,14 @@ make -f Makefile.gtk install DESTDIR=$PKG || exit 1
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
- for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
)
# Switch back to main source directory
cd $TMP/$PRGNAM-$VERSION
-# Make the documentation directory and copy some docs
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
+# Copy some docs
cp -a README LICENCE doc/puttydoc.txt $PKG/usr/doc/$PRGNAM-$VERSION
-
-#Copy the HTML docs
cp -a doc/*.html $PKG/usr/doc/$PRGNAM-$VERSION/html
mkdir -p $PKG/install
@@ -76,9 +73,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
-
-if [ "$1" = "--cleanup" ]; then
- cd $CWD
- rm -rf $TMP/$PRGNAM-$VERSION
- rm -rf $PKG
-fi